Name:           gx_head
Version:        0.14.0
Release:        3%{?dist}
Summary:        Mono tube amplifier to JACK
Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://guitarix.sourceforge.net/
Source0:        http://sourceforge.net/projects/guitarix/files/%{name}/%{name}-%{version}.tar.bz2
# correct FSF address - submitted upstream
Patch0:         %{name}-fsf-address.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  boost-devel
BuildRequires:  gettext
BuildRequires:  intltool
BuildRequires:  desktop-file-utils
BuildRequires:  faust
BuildRequires:  fftw-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkmm24-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsndfile-devel
BuildRequires:  zita-convolver-devel
BuildRequires:  zita-resampler-devel >= 0.1.1-3

Requires:       jack_capture
Requires:       jconv
Requires:       qjackctl
Requires:       vorbis-tools

%description
gx_head is a simple guitar mono tube amplifier simulation based on the 
work done in the Guitarix project.
gx_head provides different tube models and tone-stack models, so you can
simply adjust the amp-model to your needs. It also comes with a number 
of built in effects (distortion, crybaby,autowah, phaser, flanger, echo,
delay. All UI controllers can be connected over jack midi via MIDI learn 
with your external MIDI controllers.

%prep
%setup -q
%patch0 -p1

# The build system does not use these bundled libraries by default. But
# just to make sure:
rm -fr src/zita-convolver src/zita-resampler

# remove O3 optimizations
sed -s 's|-O3||' wscript

# Fix encoding issues
for file in changelog README COPYING README README.developers; do
   sed 's|\r||' $file > $file.tmp
   iconv -f ISO-8859-1 -t UTF8 $file.tmp > $file.tmp2
   touch -r $file $file.tmp2
   mv -f $file.tmp2 $file
done

%build
./waf -vv configure --prefix=%{_prefix} --noincluderesampler --noincludeconvolver \
      --cxxflags="-std=c++0x -fomit-frame-pointer -ftree-loop-linear         \
      -ffinite-math-only -fno-math-errno -fno-signed-zeros -fstrength-reduce \
%ifarch %ix86 x86_64
      -msse                                                                  
%endif
      %{optflags}"                                                          
./waf -vv build %{?_smp_mflags}

%install
rm -rf %{buildroot}
./waf -vv install --destdir="%{buildroot}"
#fix permissions
chmod 644 %{buildroot}%{_datadir}/%{name}/sounds/*

%find_lang %{name}

desktop-file-install                                    \
--add-category="X-DigitalProcessing"                    \
--dir=%{buildroot}%{_datadir}/applications              \
%{buildroot}/%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc changelog COPYING README README.developers
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/pixmaps/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Mon Jun 06 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.14.0-3
- Moved source edits into a Patch0

* Wed Jun 01 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.14.0-2
- Corrected locales, description and file permissions

* Tue May 10 2011 Brendan Jones <brendan.jones.it@gmail.com> - 0.14.0-1
- Initial build
